Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[overlay] unity-gentoo
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 24, 25, 26  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Fri Nov 02, 2012 8:56 pm    Post subject: Reply with quote

unity-base/unity-5.16.0 has the same sandbox problem...
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sat Nov 03, 2012 6:22 am    Post subject: Reply with quote

Pretty much all of the gstreamer-1.0.2:1.0 bump has now made it into the 'gnome' overlay and the gstreamer-0.10.36:0.10 bump has made into the main tree as a package.mask.
From this almost all the gstreamer packages in the 'unity-gentoo' overlay are now removed in favour of using those in the 'gnome' overlay and the main tree.

This means that it is now a requirement to package.unmask gstreamer-0.10.36 as it's required for all versions of the unity-lens-music package.
Thanks! :)
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Sat Nov 03, 2012 7:29 am    Post subject: Reply with quote

I was able to compile all stuff and also to login and start Unity once. After a crash of Unity I get every time a picture with a 'sad computer' and the message that somting gone wrong which could not restored. After that I get logged out.

Any ideas how to get more information what gone wrong?
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sat Nov 03, 2012 9:36 pm    Post subject: Reply with quote

renegart wrote:
I was able to compile all stuff and also to login and start Unity once. After a crash of Unity I get every time a picture with a 'sad computer' and the message that somting gone wrong which could not restored. After that I get logged out.

Any ideas how to get more information what gone wrong?

If you logged in using gdm, you can check the desktop user's ~/.xsession-errors (though since gnome-3.6 this isn't being created for me for some reason) or perhaps check /var/log/gdm/:0-greeter.log.
Check your syslog, or if starting via a terminal with 'startx' you could get some output on the terminal as to why it's failing.

Hope some of that helps, let us know how it goes.
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Mon Nov 05, 2012 6:28 pm    Post subject: Reply with quote

Thx for the hints. The problem is the 'blueman' package which raises an exception in 'KillSwitch.py'. Maybe it's my fault. I've change the Python version back to 3.2 during my trys to compile Unity. Now some packages are compiled with Python 2.7 and some with Python 3.2.

I'll recompile everything again against 2.7 and let you know the outcome.
Or is it still possible to use Unity with Phython 3.2?
Back to top
View user's profile Send private message
poncho
n00b
n00b


Joined: 06 Mar 2011
Posts: 58

PostPosted: Mon Nov 05, 2012 9:41 pm    Post subject: Reply with quote

shiznix wrote:

If you logged in using gdm, you can check the desktop user's ~/.xsession-errors (though since gnome-3.6 this isn't being created for me for some reason) or perhaps check /var/log/gdm/:0-greeter.log.


~/.xsession-errors was moved to ~/.cache/gdm/session.log with gnome/gdm 3.6
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Wed Nov 07, 2012 6:37 am    Post subject: Reply with quote

renegart wrote:
Thx for the hints. The problem is the 'blueman' package which raises an exception in 'KillSwitch.py'. Maybe it's my fault. I've change the Python version back to 3.2 during my trys to compile Unity. Now some packages are compiled with Python 2.7 and some with Python 3.2.

I'll recompile everything again against 2.7 and let you know the outcome.
Or is it still possible to use Unity with Python 3.2?

Good to see you got it sorted.
Multiple major python versions is definitely supported with Unity and is the goal.
I have both python-3.2 and python-2.7 installed using python-3.2 as the active version.
If any unity-gentoo package is only able to run with one version of python, it will seamlessly use that version regardless of what active python version you currently have set.
Conversely, some packages can use both python:2.7 and/or python:3.2.

In other news I performed another QA run by reverting my system back to gnome-2.32 and installing stable Unity-5 which upgrades up to gnome-3.4.
A few bugs fixed along the way mostly relating to gnome-3.6 dependencies creeping back into the Unity-5 packages which may have been deal breakers for those trying the stable approach.

@poncho
Thanks for the heads up on gdm-3.6's new '.xsession' log location :)
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Wed Nov 07, 2012 5:54 pm    Post subject: Reply with quote

I was able to get Unity run :lol:

Is it possible to remove the 'Computer', 'Home' and 'Trash' icons?!
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Wed Nov 07, 2012 8:54 pm    Post subject: Reply with quote

renegart wrote:
I was able to get Unity run :lol:
Great!!! 8)
Quote:
Is it possible to remove the 'Computer', 'Home' and 'Trash' icons?!
Yes it's a nautilus preference that is tucked away in gsettings.
Fire up dconf-editor as desktop user and browse to /org/gnome/nautilus/desktop
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Fri Nov 09, 2012 8:19 pm    Post subject: Reply with quote

Hi, I've played around a few days with Uniy.
I'm missing the batterie icon in the system try. Is it allready available in Unity.? If yes how it's called? :-)
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Fri Nov 09, 2012 10:00 pm    Post subject: Reply with quote

renegart wrote:
Hi, I've played around a few days with Uniy.
I'm missing the batterie icon in the system try. Is it allready available in Unity.? If yes how it's called? :-)

'emerge indicator-power' and log out and back into the Unity session.
Also in unity-extra/ there is a weather indicator and a clipboard paste app. glipper.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sat Nov 17, 2012 9:07 am    Post subject: Reply with quote

Great news, the annoying window placement bug has finally been nutted out and fixed!!!

Working closely with the Archlinux team who also had the same bug, we arrived at it being a simple cmake debug flag that was the culprit (-DNDEBUG).

Have committed a fix to the overlay so sync up and enjoy what is a massive improvement.
As a bonus, the same fix also fixes some minor graphics glitches in the dash pop-out and improves desktop initialisation speed.

Cheers 8)
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Sat Nov 17, 2012 9:17 am    Post subject: Reply with quote

shiznix wrote:
Great news, the annoying window placement bug has finally been nutted out and fixed!!!

Working closely with the Archlinux team who also had the same bug, we arrived at it being a simple cmake debug flag that was the culprit (-DNDEBUG).

Have committed a fix to the overlay so sync up and enjoy what is a massive improvement.
As a bonus, the same fix also fixes some minor graphics glitches in the dash pop-out and improves desktop initialisation speed.

Cheers 8)


That's really great news :) I'll try it immediately.

Other small question:
Nautilus doesn't show thumbnails of my pictures (jpeg/png etc.). I've searched in the net for a resolution, but I wasn't able to find something. I've enabled all USE-flags and enabled also the preview via dconf. But nothing works. Any idea why no thumbnails are shown?

Regards
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sat Nov 17, 2012 9:49 am    Post subject: Reply with quote

renegart wrote:
Nautilus doesn't show thumbnails of my pictures (jpeg/png etc.). I've searched in the net for a resolution, but I wasn't able to find something. I've enabled all USE-flags and enabled also the preview via dconf. But nothing works. Any idea why no thumbnails are shown?

Are you using Unity-5 or are you unmasked with gnome-3.6 on Unity-6 ?

The thumbnail preview problem can happen if glib is updated to 2.34 and nautilus-99.3.4.2 is not rebuilt against the new glib.

If you're intending the gnome-3.6 with unity-6 route, ensure you have glib-99.2.34.1 installed and rebuild nautilus-99.3.4.2.
Let me know if that works for you and if it does, I'll look at ways of forcing nautilus to rebuild against the new glib if it's updated.

Otherwise if you're intending to use unity-5, then ensure you have glib-99.2.32.3 installed.

Either way a re-install of nautilus-99.3.4.2 may be the answer to your problem ;)
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Sat Nov 17, 2012 10:58 am    Post subject: Reply with quote

I'm using Unity-5 with gnome 3.4.
glib-99.2.34.1 and nautilus-99.3.4.2

I'll try to downgrade glib to 99.2.32.3 and rebuild nautilus against it ...

[Edit]
it works after downgrade and re-build :D
Thx

Is the 'unity-greeter' for LightDM available somewhere?
Back to top
View user's profile Send private message
ahgblopes
Tux's lil' helper
Tux's lil' helper


Joined: 16 Oct 2011
Posts: 102
Location: Brazil :(

PostPosted: Sun Nov 18, 2012 3:25 am    Post subject: Reply with quote

shiznix wrote:
Great news, the annoying window placement bug has finally been nutted out and fixed!!!

Working closely with the Archlinux team who also had the same bug, we arrived at it being a simple cmake debug flag that was the culprit (-DNDEBUG).

Have committed a fix to the overlay so sync up and enjoy what is a massive improvement.
As a bonus, the same fix also fixes some minor graphics glitches in the dash pop-out and improves desktop initialisation speed.

Cheers 8)



I was really waiting (using mate) for it!!! I will try unity again. Thanks!!
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Sun Nov 18, 2012 9:30 pm    Post subject: Reply with quote

@renegart
I haven't been including any lightdm stuff but instead using gdm as we use pretty much all of Gnome already anyway (not sure why Ubuntu used lightdm ?).

@ahgblopes
Welcome back!
Lots of improvements since you last tried and apart from a few backports, upstream development has pretty much stopped at the Quantal level as they move onto the Raring release development.
So package changes won't be as volatile and frequent as you experienced.

I'm not including Raring packages until gnome-3.6 has transitioned into the main tree from 'gnome' overlay which is already happening.
Then we can drop unity-5, unmask unity-6 as the new stable and start including Raring packages as masked.
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Mon Nov 19, 2012 7:29 pm    Post subject: Reply with quote

the package 'nux' saves its logs in my home directory. Is there a way to stop that or to put it to /var/log as like as all other logs?
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Nov 19, 2012 8:51 pm    Post subject: Reply with quote

renegart wrote:
the package 'nux' saves its logs in my home directory. Is there a way to stop that or to put it to /var/log as like as all other logs?
Not easily as far as I can tell.
But you could disable the 'debug' USE flag for nux and it won't be as verbose.
Back to top
View user's profile Send private message
Vaerraent
n00b
n00b


Joined: 25 Nov 2012
Posts: 1

PostPosted: Sun Nov 25, 2012 1:05 am    Post subject: Reply with quote

Nice work! I did come across a little build problem, seems to be related to this Ubuntu cmake bug. No idea if this is my fault or not - amd64 unmasked and so many overlays it's not funny on this little experimental box so I don't spend too long worrying about bugs.

This little workaround got it compiling:

Code:
--- a/unity-6.8.0.ebuild   2012-11-25 00:53:55.485041737 +0000
+++ b/unity-6.8.0.ebuild   2012-11-25 00:53:51.477037951 +0000
@@ -83,6 +83,9 @@
    sed -e "s:Ubuntu Desktop:Unity Gentoo Desktop:g" \
       -i "panel/PanelMenuView.cpp" || die
 
+   sed -e 's:\${GETTEXT_FOUND} STREQUAL "TRUE":\GETTEXT_FOUND:g' \
+      -i "CMakeLists.txt" || die
+
    # Remove autopilot test suite files #
    sed -e '/python setup.py install/d' \
       -i tests/CMakeLists.txt || die


I'm looking forward to testing unity later.

EDIT: Also needed to mask >media-libs/glew-1.7.0 and downgrade accordingly, otherwise unity-mt-grab-handles and unitycore plugins would fail to build (though the ebuild will accept this silently) and Unity will not load.
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Sun Nov 25, 2012 8:47 am    Post subject: Reply with quote

Hi,
I know it's a little bit fast, but it is possible to update 'x11-misc/appmenu-firefox' for the new firefox-17.0? :)
The appmenu-firefox is more or less blocking the update of the browser

Is it also possible to provide a similar package for thunderbird?

regarding unity-greeter for lightdm. I'm not so happy with the new gdm-3.4. Especially the new theme is horrible and I don't found an easy way to change it (yet).
I found a blog about unity-greeter on http://blog.hasnoname.de/linux/funtoo/unity-greeter-12-10-2-on-funtoogentoo/. unfortunately it doesn't work because it needs some dependency updates which are not easily possible for unity-5.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Dec 03, 2012 7:39 am    Post subject: Reply with quote

Apologies for the late post, real life gets in the way sometimes...

@Vaerraent
Welcome!

I got hit with that cmake bug too, has been fixed in cmake-2.8.10.2 -> https://bugs.gentoo.org/show_bug.cgi?id=444906
Thanks for the media-libs/glew report, I'll test and commit this evening.


@renegart
I've updated x11-misc/appmenu-firefox to 17.0 for the new firefox-17.0
I'll look at adding the same for thunderbird.

To change gdm-3.4 theme do:
Code:
sudo -u gdm dbus-launch gnome-control-center

Arch have a good wiki article on it 's configuration here -> https://wiki.archlinux.org/index.php/GDM

Still not convinced for the use of maintaining the Ubuntu lightdm stuff.
We already have all it's functionality provided by gdm and it's currently a direct requirement for the upcoming gnome-shell-3.6 anyway.

On another topic, had a look at including the webapps applications for the Unity desktop as shown here -> https://www.youtube.com/watch?v=L2YNR1KU1Xs
Nothing has been committed to overlay as it's not complete yet while I figure out it's many dependencies.

On hold as belonging to unity-extra/ and it comes with a couple of points to note:
1. Uses single sign-on to access all your webaccount user/pass and you agree to hand control of this over to Ubuntu (maybe an issue for the security minded)
2. It's integration doesn't trigger until you open the webpage for each relevant webapp anyway and the webpage must remain open for the integration to continue
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Mon Dec 03, 2012 5:40 pm    Post subject: Reply with quote

Thx for the hint with GDM.

I've tried to compile the updated gstreamer-stuff.
The compile stops with an error in 'media-libs/gst-plugins-bad-0.10.23' because no Makefile was found...
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Mon Dec 03, 2012 10:00 pm    Post subject: Reply with quote

renegart wrote:
I've tried to compile the updated gstreamer-stuff.
The compile stops with an error in 'media-libs/gst-plugins-bad-0.10.23' because no Makefile was found...

All the needed gstreamer and gst-plugins versions are in the main portage tree now so I've removed them from the overlay.
That may or may not fix the problem, so sync up and let me know how it goes ;)
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Thu Dec 06, 2012 10:27 pm    Post subject: Reply with quote

Keep on good work, shiznix.

Wasn't here for a while.
Testing Unity 5 installation from scratch.
Clean Gentoo amd64 with desktop profile.
Step 0. package.use ">=app-portage/layman-1.4.2 git"
Step 1. emerge -av layman eix gentoolkit
Step 2. layman -a unity-gentoo
Step 3. ln -s /var/lib/layman/unity-gentoo/PACKAGES /etc/portage/package.keywords/unity-gentoo
Step 4. emerge [--autounmask-write] =sys-devel/gcc-4.6.3 && gcc-config x86_64-pc-linux-gnu-4.6.3 && source /etc/profile
Step 5. emerge -avuDN world xdm xorg-server twm xterm
Step 6. emerge -avuDN [--autounmask-write] unity-meta

First run.
media-plugins/gst-plugins-v4l2-0.10.30
Code:
 * Building system plugin v4l2 ...
make -j2
make: *** No targets specified and no makefile found.  Stop.
emake failed
 * ERROR: media-plugins/gst-plugins-v4l2-0.10.30 failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 2244:  Called gst-plugins10_src_compile
 *   environment, line 1551:  Called die
 * The specific snippet of code:
 *           emake || die;

Required by media-video/cheese-3.4.2. Use flag v4l not triggered for gst-plugins-meta.
"Solution" - emerge --autounmask-write =media-plugins/gst-plugins-v4l2-0.10.31

Second run
net-libs/telepathy-indicator-0.3.0
Code:
configure: error: Package requirements (glib-2.0 >= 2.28
                  gobject-2.0
                  gtk+-3.0
                  messaging-menu
                  telepathy-glib >= 0.11.12
                  unity >= 3.4.0
                  ) were not met:

No package 'messaging-menu' found

Can't find it too.


Last edited by peaker on Sun Dec 09, 2012 1:09 am; edited 1 time in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 24, 25, 26  Next
Page 10 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum